<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
cluster
</p>
<p>Provides methods to access and modify clusters.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addCluster"/>addCluster</a></li>
<li><a href="#deleteCluster"/>deleteCluster</a></li>
<li><a href="#listClusterNodes"/>listClusterNodes</a></li>
<li><a href="#listClusters"/>listClusters</a></li>
<li><a href="#scheduleJoinNodeToCluster"/>scheduleJoinNodeToCluster</a></li>
<li><a href="#scheduleRemoveNodeFromCluster"/>scheduleRemoveNodeFromCluster</a></li>
<li><a href="#scheduleUpgradeCluster"/>scheduleUpgradeCluster</a></li>
</ul>
</div>
<hr />

<h3> <a name="addCluster" href="#top">Method: addCluster</a></h3>
Description:<br />
Add a cluster
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
<li>

    string description
 </li>
<li>

    integer management node id
 </li>
<li>

    string cluster provider
 </li>
<li>

struct containing the values for each field in the form 
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteCluster" href="#top">Method: deleteCluster</a></h3>
Description:<br />
Delete a cluster given the ID
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int clusterId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listClusterNodes" href="#top">Method: listClusterNodes</a></h3>
Description:<br />
Lists the nodes of a cluster.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int clusterId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - hostname</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listClusters" href="#top">Method: listClusters</a></h3>
Description:<br />
List all clusters for the user's org
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
          	     struct - cluster_id
	<ul>
                 	<li> string "cluster_name"</li>
          	</ul>
      </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="scheduleJoinNodeToCluster" href="#top">Method: scheduleJoinNodeToCluster</a></h3>
Description:<br />
Schedule the execution of a node join the cluster
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int clusterId
 </li>
<li>

array:
<ul>
    <li>integer - systemIds</li>
</ul>
 </li>
<li>

struct containing the values for each field in the form 
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the action can run
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="scheduleRemoveNodeFromCluster" href="#top">Method: scheduleRemoveNodeFromCluster</a></h3>
Description:<br />
Schedule the execution of a node join the cluster
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int clusterId
 </li>
<li>

array:
<ul>
    <li>integer - systemIds</li>
</ul>
 </li>
<li>

struct containing the values for each field in the form 
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the action can run
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="scheduleUpgradeCluster" href="#top">Method: scheduleUpgradeCluster</a></h3>
Description:<br />
Schedule the execution of a cluster upgrade
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int clusterId
 </li>
<li>

struct containing the values for each field in the form 
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the action can run
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
